Skip to main content
PATCH
Update Data Source with specified ID

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

dataSourceId
string
required

ID of Data Source to update

Body

application/json

Users and projects to add and remove

config
object

A map of configuration name -> value

Example:
credentials
object
permissions
object

Response

Success

authType
string
required

The type of Data Source authentication

Example:

"AzureBasic"

config
object
required

A map of configuration name -> value

Example:
credentialType
enum<string>
required

Whether the credentials is individual to a user or shared

Available options:
Individual,
Shared
dataSourceType
string
required

The configuration type of the Data Source

Example:

"ADLSConfig"

displayName
string
required

Data Source display name

Example:

"Azure Data Lake Store"

id
string
required

ID of the Data Source

Example:

"62604702b7e5d347dbe7a909"

lastUpdated
string<date-time>
required

ISO 8601 formatted time of when the Data Source was last updated

Example:

"2022-04-23T18:25:43.511Z"

name
string
required

User given name of the Data Source

Example:

"data-source-name"

ownerId
string
required

ID of the Data Source owner

Example:

"62604702b7e5d347dbe7a909"

ownerUsername
string
required

Username of the owner of the Data Source

Example:

"owner-username"

permissions
object
required
description
string

Description of the Data Source

Example:

"My Data Source"

Last modified on June 26, 2026